stages:
    - test
    - deploy

docker_deploy:
    stage: deploy
    image: docker:19.03.12
    services:
        - docker:19.03.12-dind
    variables:
        DOCKER_TLS_CERTDIR: "/certs"
    before_script:
        - echo $DOCKER_PASSWORD | docker login --username=lucianothume docker.io --password-stdin
    script:
        - docker build -t lucianothume/sigo-apigateway:latest .
        - docker push lucianothume/sigo-apigateway:latest
    tags:
        - docker
